# Table of Contents

- [FAQ](faq.md) - lots of questions and answers. Jump to [Prerequisites](prerequisites.md) to avoid reading too much and to just start a guided installation.

- [Prerequisites](prerequisites.md) - go here to a guided installation using this Ansible playbook

- [Configuring your DNS server](configuring-dns.md)

- [Getting this playbook's source code](getting-the-playbook.md)

- [Configuring the playbook](configuring-playbook.md)

- [Installing](installing.md)

- **Importing data from another server installation**

  - [Importing an existing SQLite database (from another Synapse installation)](importing-synapse-sqlite.md) (optional)

  - [Importing an existing Postgres database (from another installation)](importing-postgres.md) (optional)

  - [Importing `media_store` data files from an existing Synapse installation](importing-synapse-media-store.md) (optional)

- [Registering users](registering-users.md)

- [Updating users passwords](updating-users-passwords.md)

- [Configuring service discovery via .well-known](configuring-well-known.md)

- [Maintenance / checking if services work](maintenance-checking-services.md)

- [Maintenance / upgrading services](maintenance-upgrading-services.md)

- [Maintenance / Synapse](maintenance-synapse.md)

- [Maintenance / PostgreSQL](maintenance-postgres.md)

- [Maintenance and Troubleshooting](maintenance-and-troubleshooting.md)

- [Uninstalling](uninstalling.md)
